from setuptools import setup, find_packages


setup(
    name='mypackage732475',
    version='0.1',
    author='qwerty090932',
    author_email='munko.sampilov@mail.ru',
    description='Desciption test mypackage',
    long_description=open('README.md').read(),  # Загружаем описание из README
    long_description_content_type='text/markdown',
    packages=find_packages(),  # Найдет все пакеты и под-пакеты
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
    entry_points={
        'console_scripts': [
            'run_generators=mypackage.generators:list_generator',
            'run_iterators=mypackage.iterators:print_permutations',
            'run_decorators=mypackage.decorators:slow_sum',
            'run_descriptors=mypackage.descriptors:Rectangle',
        ],
    },
)

